# Installations

## Step 1 ➡ Dependencies&#x20;

This is one of the most important parts, since without the dependencies, the resource will never work or not start, here we will list the dependencies with their respective links for you to download and add them to your server.

{% embed url="<https://github.com/overextended/oxmysql>" %}

### Not required but recommended:

{% embed url="<https://github.com/overextended/ox_lib>" %}
pre-configured for ox\_lib in client\_editable.lua/server\_editable.lua
{% endembed %}

{% embed url="<https://github.com/overextended/ox_inventory>" %}
pre-configured for ox\_inventory in client\_editable.lua/server\_editable.lua
{% endembed %}

## Step 2 ➡ Resources in server.cfg

{% hint style="warning" %}
if you are using ESX ➡ NEVER, but NEVER, you must place the resources above `es_extended`, if you do this they will never work and will throw errors
{% endhint %}

The correct order of the resources is as follows, always keeping <mark style="color:orange;">es\_extended</mark> and its cores above, but the other normal resources below

```
ensure sfgarages
```

## Step 3 ➡ Database

Run query/SQL query and paste below code.

In the case of the ESX framework. For another framework, modify the query according to the name of the table and columns.

{% code fullWidth="false" %}

```sql
ALTER TABLE `vehicles` ADD `class` VARCHAR(2) NULL DEFAULT NULL AFTER `category`;
ALTER TABLE `owned_vehicles` ADD `vin` VARCHAR(32) NOT NULL AFTER `stored`, ADD `co-owner` VARCHAR(46) NULL DEFAULT NULL AFTER `vin`;
```

{% endcode %}

## Step 4 ➡ Click on [Config](/resources/sfgarages/config.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scriptsfivem.com/resources/sfgarages/installations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
